/*
  slider.h

  LBSlider is a very simple slider control.
*/

#include <View.h>

struct LBSlider : BView
{
  LBSlider (BRect r, char* name, int m);

  void Draw (BRect);
  virtual void SetValue (float);
  virtual void ValueChanged (float) {};
  void MouseMoved (BPoint p, ulong transit, BMessage* message);
  void AttachedToWindow () {SetViewColor (B_TRANSPARENT_32_BIT);};

  BRect rect1;
  BRect rect2;
  BRect stripe;
  float height;
  float width;
  float radius;

  float value;		// Slider value between 0.0 and 1.0
  int band;			// Audio band number
};
